use std::env;

use chrono_tz::Tz;
use reqwest::Client;
use rocket::{
    http::CookieJar,
    serde::json::{json, Json, Value as JsonValue},
    State,
};
use serde::{Deserialize, Serialize};
use serenity::{
    client::Context,
    model::{
        id::{GuildId, RoleId},
        permissions::Permissions,
    },
};
use sqlx::{MySql, Pool};

use crate::{consts::DISCORD_API, routes::JsonResult};
