import { useReminder } from "./ReminderContext";

export const Content = () => {
    const [reminder, setReminder] = useReminder();

    return (
        <>
            <label class="is-sr-only">Content</label>
            <textarea
                class="message-input autoresize discord-content"
                placeholder="Content..."
                maxlength={2000}
                name="content"
                rows={1}
                value={reminder.content}
                onInput={(ev) => {
                    setReminder((reminder) => ({
                        ...reminder,
                        content: ev.currentTarget.value,
                    }));
                }}
            ></textarea>
        </>
    );
};
